import Panel from "../views/Panel";
import SceneCtrl from "../ctrls/sceneCtrl";
import { ModuleTypes } from "../types/sceneTypes";

export default class GuideNewPanel extends Panel {
    protected get skinKey() { return 'GuideNew' }

    public closeBtn:eui.Button;
    public startBtn:eui.Button;

    constructor(data){
        super();
    }

    initEvents(){
        super.initEvents();
        this.onTap(this.startBtn,this.onTap_closeBtn);
        this.onTap(this.closeBtn,this.onTap_closeBtn);

    }
    onTap_closeBtn(){
        this.hidePanel();
        //SceneCtrl.instance.change(ModuleTypes.PLAY_SCENE);
    }

    removeEvents(){
        super.removeEvents();
        this.clearTap(this.startBtn,this.onTap_closeBtn);
        this.clearTap(this.closeBtn,this.onTap_closeBtn);
    }



}